<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" type="text/css" href="style.css" />
</head>
<body>
	<div class="outer-container">
		<div class="row">
			<form id="addCountryForm" autocomplete="off" method="post">
				<div Class="input-row">
					<label for="countryName">Country Name:</label><input type="text"
						id="countryName" name="countryName" required>
					<div id="countryList"></div>
				</div>
				<input type="submit" class="submit-btn" value="Save Country">
				<div id="message"></div>
			</form>
		</div>
	</div>
	<script src="https://code.jquery.com/jquery-3.6.3.min.js"></script>
	<script>
		$(document).ready(function() {
			$('#countryName').keyup(function() {
				var query = $(this).val();
				if (query != '') {
					$.ajax({
						url: 'searchCountry.php',
						method: 'POST',
						data: {
							query: query
						},
						success: function(response) {
							$('#countryList').fadeIn();
							$('#countryList').html(response);
						}
					});
				} else {
					$('#countryList').fadeOut();
					$('#countryList').html('');
				}
			});

			$(document).on('click', 'li', function() {
				$('#countryName').val($(this).text());
				$('#countryList').fadeOut();
			});

			$('#addCountryForm').submit(function(event) {
				event.preventDefault();
				var countryName = $('#countryName').val();
				$.ajax({
					type: 'POST',
					url: 'addCountry.php',
					data: {
						countryName: countryName
					},
					success: function(response) {
						$('#countryList').hide();
						$('#message').html(response).show();
					}
				});
			});
		});
	</script>
</body>
</html>